WOEID के आधार पर ट्रेंड्स प्राप्त करें
curl --request GET \
--url https://api.x.com/2/trends/by/woeid/{woeid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/trends/by/woeid/{woeid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/trends/by/woeid/{woeid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"trend_name": "<string>",
"tweet_count": 123
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}ट्रेंड्स
WOEID के आधार पर ट्रेंड्स प्राप्त करें
इसके WOEID से पहचाने गए किसी विशिष्ट स्थान के लिए ट्रेंडिंग विषय प्राप्त करता है।
GET
/
2
/
trends
/
by
/
woeid
/
{woeid}
WOEID के आधार पर ट्रेंड्स प्राप्त करें
प्राधिकरण
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
पथ पैरामीटर
उस स्थान का WOEID जिसके लिए ट्रेंड देखना है।
क्वेरी पैरामीटर
परिणामों की अधिकतम संख्या।
आवश्यक सीमा:
1 <= x <= 50दिखाने के लिए Trend फ़ील्ड्स की अल्पविराम से अलग की गई सूची। Trend ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
Minimum array length:
1उपलब्ध विकल्प:
trend_name, tweet_count उदाहरण:
["trend_name", "tweet_count"]
प्रतिक्रिया
अनुरोध सफल रहा है।
Minimum array length:
1Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes